--
-- file prepared: 13 January 2024 11:49:02.469, using fd577h
--
--SFM_characteristics.lua (file 2 for assembly)

buccaneer = {

	Name = 'buccaneer',

	DisplayName = _('buccaneer'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "buccaneer.png",
	Rate = 50,
	Shape = "buccaneer",

	shape_table_data =
	{
		{
			file = 'buccaneer';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'buccaneer';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 19.33,
	height = 4.95,
	wing_area = 47.8,
	wing_span = 13,
	wing_tip_pos = { -3.5, 1.1, 7},
	RCS = 5.3,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 7, 1.25, 1},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 2,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 13608,
	M_nominal = 28123,
	M_max = 33000,
	M_fuel_max = 5000,
	H_max = 12192,										-- (calculated from service_ceiling)
	CAS_min = 61,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 207,
	V_take_off = 64,
	V_land = 64,
	V_max_sea_level = 129,
	V_max_h = 236,
	Vy_max = 51,
	Mach_max = 0.8775,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 5.5, -0.5, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { 0, -0.5, 2.25},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = false,
	thrust_sum_max = 9985.8,
	thrust_sum_ab = 9985.8,
	engines_count = 2,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {5.5, 0.45, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {5.5, -0.5, 0},
		}, --end of[1]
		[2] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy_2",
			canopy_pos = {5.5, 0.45, 0},
			canopy_ejection_dir = {0.0, 0.5, 0.5},
			pos = {5.5, -0.5, 0},
			canopy_arg = 421,
		}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-3.25, 1.15, 1.3},
			elevation = 1.15,
			diameter = 0.675,							-- default
			exhaust_length_ab = 3,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.2,
		}, -- end of [1]
		[2] =
		{
			pos = {-3.25, 1.15, -1.3},
			elevation = 1.15,
			diameter = 0.675,							-- default
			exhaust_length_ab = 3,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.2,
		}, -- end of [2]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------




	Pylons = {
		pylon(1, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
			} 
		),
		pylon(2, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
			} 
		),
		pylon(3, 0, -0.75, 1, 3.5, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(4, 0, 0.01, 1, 2.25, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(5, 0, 0.01, 1, -2.25, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(6, 0, -0.75, 1, -3.5, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(7, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
			} 
		),
		pylon(8, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
			} 
		),
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir = {0, 1, 0},
			pos = {-2.5, 1, -1.75},
		}, --end of[1]
	}, --end of chaff_flare_dispenser

	--Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 150,
		chaff = {default = 75, increment = 3, chargeSz = 1},
		flare = {default = 75, increment = 3, chargeSz = 1}
	},


---------------------------------------------------------------------------------------------------------------------------------------------


	fires_pos =
	{
		[1] = { -0.8125, 1.1, 0.0},
		[2] = { -0.325, 1.1, 0.2},
		[3] = { -0.4875, 1.1, -0.2},
		[4] = { 0.01, 1.1, 1.75},
		[5] = { 0.01, 1.1, -1.75},
		[6] = { 0.01, 1.1, 5.6},
		[7] = { 0.01, 1.1, -5.6},
		[8] = { -3.25, 1.15, 0.2},
		[9] = { -3.25, 1.15, -0.2},
		[10] = { -1.625, 1.1, 0.2},
		[11] = { -1.625, 1.1, -0.2},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 2,					-- note: set to this value for buccaneer to improve in-flight handling
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.101,	0.192,	0.0599,	2.3,	11.7,	1.19,		},
				{0.1,	0.015,	0.0915,	0.192,	0.0599,	6.25,	13,	1.19,		},
				{0.2,	0.015,	0.0967,	0.192,	0.0599,	6.25,	14.3,	1.39,		},
				{0.3,	0.015,	0.0975,	0.192,	0.0599,	6.25,	15.8,	1.51,		},
				{0.4,	0.015,	0.0983,	0.192,	0.0599,	6.25,	17.5,	1.75,		},
				{0.5,	0.015,	0.0948,	0.128,	0.043,	6.25,	17.5,	1.69,		},
				{0.6,	0.015,	0.0897,	0.0953,	0.0358,	6.25,	17.5,	1.6,		},
				{0.7,	0.015,	0.0839,	0.0761,	0.0327,	6.25,	17.5,	1.5,		},
				{0.8,	0.0213,	0.078,	0.0566,	0.0281,	2.3,	17.5,	1.39,		},
				{0.9,	0.035,	0.03,	0.0243,	0.0121,	2.01,	17.5,	1.02,		},
				{1,		0.0575,	0.0307,	0.352,	0.176,	1.76,	16.6,	0.974,		},
				{1.1,	0.0675,	0.0323,	0.308,	0.154,	1.54,	15.8,	0.926,		},
				{1.2,	0.0775,	0.034,	0.27,	0.135,	1.35,	15.1,	0.881,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 1,
			ForsRUD  = 1,
			typeng  = 0,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	47250,	47250,		},
				{0.2,	70875,	70875,		},
				{0.4,	94500,	94500,		},
				{0.6,	94500,	94500,		},
				{0.8,	94500,	94500,		},
				{1,	94500,	94500,		},
				{1.2,	94500,	94500,		},
				{1.4,	94500,	94500,		},
				{1.6,	94500,	94500,		},
				{1.8,	94500,	94500,		},
				{2,	70875,	70875,		},
				{2.2,	47250,	47250,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 2.0,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				36 k ft		0.m		adj:+/-
				38 k ft		0.m		adj:+/-
				40 k ft		0.m		adj:+/-
				42 k ft		0.m		adj:+/-
				44 k ft		0.m		adj:+/-
				45 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11125, 11681, 12265, 12878, 13521, 13859 }, 
					thrust = {
						{ 97900,  146850, 195800, 195800, 195800, 195800, 195800, 195800, 195800, 195800, 146850, 97900  }, 
						{ 47187,  70781,  94375,  94375,  94375,  94375,  94375,  94375,  94375,  94375,  70781,  47187  }, 
						{ 20167,  30251,  40334,  40334,  40334,  40334,  40334,  40334,  40334,  40334,  30251,  20167  }, 
						{ 17524,  26286,  35048,  35048,  35048,  35048,  35048,  35048,  35048,  35048,  26286,  17524  }, 
						{ 14685,  22027,  29370,  29370,  29370,  29370,  29370,  29370,  29370,  29370,  22027,  14685  }, 
						{ 7342,   11013,  14685,  14685,  14685,  14685,  14685,  14685,  14685,  14685,  11013,  7342   }, 
						{ 1468,   2202,   2937,   2937,   2937,   2937,   2937,   2937,   2937,   2937,   2202,   1468   }, 
						{ 489,    734,    979,    979,    979,    979,    979,    979,    979,    979,    734,    489    }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11125, 11681, 12265, 12878, 13521, 13859 }, 
					thrust = {
						{ 97900,  146850, 195800, 195800, 195800, 195800, 195800, 195800, 195800, 195800, 146850, 97900  }, 
						{ 47187,  70781,  94375,  94375,  94375,  94375,  94375,  94375,  94375,  94375,  70781,  47187  }, 
						{ 20167,  30251,  40334,  40334,  40334,  40334,  40334,  40334,  40334,  40334,  30251,  20167  }, 
						{ 17524,  26286,  35048,  35048,  35048,  35048,  35048,  35048,  35048,  35048,  26286,  17524  }, 
						{ 14685,  22027,  29370,  29370,  29370,  29370,  29370,  29370,  29370,  29370,  22027,  14685  }, 
						{ 7342,   11013,  14685,  14685,  14685,  14685,  14685,  14685,  14685,  14685,  11013,  7342   }, 
						{ 1468,   2202,   2937,   2937,   2937,   2937,   2937,   2937,   2937,   2937,   2202,   1468   }, 
						{ 489,    734,    979,    979,    979,    979,    979,    979,    979,    979,    734,    489    }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "buccaneer-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(buccaneer)


