--
-- file prepared: 13 January 2024 11:56:26.275, using fd577h
--
--SFM_characteristics.lua (file 2 for assembly)

javelin = {

	Name = 'javelin',

	DisplayName = _('javelin'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "javelin.png",
	Rate = 50,
	Shape = "javelin",

	shape_table_data =
	{
		{
			file = 'javelin';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'javelin';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 17.3,
	height = 4.9,
	wing_area = 86.1,
	wing_span = 16,
	wing_tip_pos = { -4.07, 0.2, 7.63},
	RCS = 6.4,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 6.11, 0.51, 1.02},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 2,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 10886,
	M_nominal = 14324,
	M_max = 19579,
	M_fuel_max = 4000,
	H_max = 16093,										-- (calculated from service_ceiling)
	CAS_min = 61,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 220,
	V_take_off = 64,
	V_land = 64,
	V_max_sea_level = 139,
	V_max_h = 177,
	Vy_max = 27,
	Mach_max = 0.93,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 5.09, -1.02, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { -1.02, 0, 2.54},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = true,
	thrust_sum_max = 9985.8,
	thrust_sum_ab = 11166,
	engines_count = 2,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {5.09, -0.07, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {5.09, -1.02, 0},
		}, --end of[1]
		[2] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy_2",
			canopy_pos = {5.09, -0.07, 0},
			canopy_ejection_dir = {0.0, 0.5, 0.5},
			pos = {5.09, -1.02, 0},
			canopy_arg = 421,
		}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-6.25, -0.4, 0.5},
			elevation = -0.4,
			diameter = 1.1,								-- default
			exhaust_length_ab = 8,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.15,
			afterburner_circles_count = 7,				-- default
			afterburner_circles_pos = { 0.2, 0.8 },		-- default
			afterburner_circles_scale = 0.95,			-- default
		}, -- end of [1]
		[2] =
		{
			pos = {-6.25, -0.4, -0.5},
			elevation = -0.4,
			diameter = 1.1,							-- default
			exhaust_length_ab = 8,					-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.15,
			afterburner_circles_count = 7,			-- default
			afterburner_circles_pos = { 0.2, 0.8 },	-- default
			afterburner_circles_scale = 0.95,		-- default
		}, -- end of [2]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------


	Guns = {
		ADEN({ muzzle_pos = {1.25, -0.3, 3.85},_connector =  "Point_Gun_01",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		ADEN({ muzzle_pos = {1, -0.25, 4.15},_connector =  "Point_Gun_02",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		ADEN({ muzzle_pos = {1, -0.25, -4.15},_connector =  "Point_Gun_03",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		ADEN({ muzzle_pos = {1.25, -0.3, -3.85},_connector =  "Point_Gun_04",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
	},


	Pylons = {
		pylon(1, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
			} 
		),
		pylon(2, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
			} 
		),
		pylon(3, 0, -1.5, -0.9, 2.5, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(4, 0, -1.5, -0.9, 3.5, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(5, 0, -1.5, -0.9, -3.5, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(6, 0, -1.5, -0.9, -2.5, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(7, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
			} 
		),
		pylon(8, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
			} 
		),
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir = {0, 1, 0},
			pos = {-5.09, 0.33, -1.07},
		}, --end of[1]
	}, --end of chaff_flare_dispenser

	--Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		chaff = {default = 64, increment = 3, chargeSz = 1},
		flare = {default = 64, increment = 3, chargeSz = 1}
	},


---------------------------------------------------------------------------------------------------------------------------------------------


	fires_pos =
	{
		[1] = { -1.5625, 0.2, 0.0},
		[2] = { -0.625, 0.2, 4.15},
		[3] = { -0.9375, 0.2, -4.15},
		[4] = { -1.5, 0.2, 1.9075},
		[5] = { -1.5, 0.2, -1.9075},
		[6] = { -1.5, 0.2, 6.104},
		[7] = { -1.5, 0.2, -6.104},
		[8] = { -6.25, -0.4, 4.15},
		[9] = { -6.25, -0.4, -4.15},
		[10] = { -3.125, 0.2, 4.15},
		[11] = { -3.125, 0.2, -4.15},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 0.8,					-- default
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.0162,	0.116,	0.0312,	2.3,	13.5,	0.218,		},
				{0.1,	0.015,	0.0147,	0.116,	0.0312,	6.25,	14.9,	0.218,		},
				{0.2,	0.015,	0.0254,	0.116,	0.0312,	6.25,	16.5,	0.418,		},
				{0.3,	0.015,	0.0588,	0.116,	0.0312,	6.25,	18.2,	1,		},
				{0.4,	0.015,	0.0922,	0.116,	0.0312,	6.25,	20.1,	1.89,		},
				{0.5,	0.015,	0.0889,	0.0763,	0.0221,	6.25,	20.1,	1.82,		},
				{0.6,	0.015,	0.0841,	0.0558,	0.0181,	6.25,	20.1,	1.72,		},
				{0.7,	0.015,	0.0787,	0.0435,	0.0161,	6.25,	20.1,	1.61,		},
				{0.8,	0.0213,	0.0731,	0.0292,	0.0125,	2.3,	20.1,	1.5,		},
				{0.9,	0.035,	0.03,	0.00545,	0.00234,	2.01,	20.1,	1.1,		},
				{1,		0.0575,	0.03,	0.352,	0.176,	1.76,	19.1,	1.05,		},
				{1.1,	0.0675,	0.0303,	0.308,	0.154,	1.54,	18.2,	0.997,		},
				{1.2,	0.0775,	0.0319,	0.27,	0.135,	1.35,	17.3,	0.949,		},
				{1.3,	0.0875,	0.0335,	0.236,	0.118,	1.18,	16.5,	0.903,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 0.85,
			ForsRUD  = 0.91,
			typeng  = 1,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	54388,	61048,		},
				{0.2,	81583,	91573,		},
				{0.4,	108777,	122097,		},
				{0.6,	108777,	122097,		},
				{0.8,	108777,	122097,		},
				{1,	108777,	122097,		},
				{1.2,	108777,	122097,		},
				{1.4,	108777,	122097,		},
				{1.6,	108777,	122097,		},
				{1.8,	108777,	122097,		},
				{2,	81583,	91573,		},
				{2.2,	54388,	61048,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 2.0,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				36 k ft		0.m		adj:+/-
				37 k ft		0.m		adj:+/-
				46 k ft		0.m		adj:+/-
				51 k ft		0.m		adj:+/-
				56 k ft		0.m		adj:+/-
				59 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 10972, 11521, 14066, 15825, 17231, 18023 }, 
					thrust = {
						{ 97900,  146850, 195800, 195800, 195800, 195800, 195800, 195800, 195800, 195800, 146850, 97900  }, 
						{ 54334,  81501,  108669, 108669, 108669, 108669, 108669, 108669, 108669, 108669, 81501,  54334  }, 
						{ 27607,  41411,  55215,  55215,  55215,  55215,  55215,  55215,  55215,  55215,  41411,  27607  }, 
						{ 25356,  38034,  50712,  50712,  50712,  50712,  50712,  50712,  50712,  50712,  38034,  25356  }, 
						{ 14685,  22027,  29370,  29370,  29370,  29370,  29370,  29370,  29370,  29370,  22027,  14685  }, 
						{ 7342,   11013,  14685,  14685,  14685,  14685,  14685,  14685,  14685,  14685,  11013,  7342   }, 
						{ 1468,   2202,   2937,   2937,   2937,   2937,   2937,   2937,   2937,   2937,   2202,   1468   }, 
						{ 489,    734,    979,    979,    979,    979,    979,    979,    979,    979,    734,    489    }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 10972, 11521, 14066, 15825, 17231, 18023 }, 
					thrust = {
						{ 109470, 164205, 218940, 218940, 218940, 218940, 218940, 218940, 218940, 218940, 164205, 109470 }, 
						{ 60755,  91133,  121511, 121511, 121511, 121511, 121511, 121511, 121511, 121511, 91133,  60755  }, 
						{ 30870,  46305,  61741,  61741,  61741,  61741,  61741,  61741,  61741,  61741,  46305,  30870  }, 
						{ 28352,  42529,  56705,  56705,  56705,  56705,  56705,  56705,  56705,  56705,  42529,  28352  }, 
						{ 16420,  24630,  32841,  32841,  32841,  32841,  32841,  32841,  32841,  32841,  24630,  16420  }, 
						{ 8210,   12315,  16420,  16420,  16420,  16420,  16420,  16420,  16420,  16420,  12315,  8210   }, 
						{ 1642,   2463,   3284,   3284,   3284,   3284,   3284,   3284,   3284,   3284,   2463,   1642   }, 
						{ 547,    821,    1094,   1094,   1094,   1094,   1094,   1094,   1094,   1094,   821,    547    }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "javelin-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(javelin)


