--
-- file prepared: 13 January 2024 12:04:40.816, using fd577h
--
--SFM_characteristics.lua (file 2 for assembly)

mirage_f1 = {

	Name = 'mirage_f1',

	DisplayName = _('mirage_f1'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "mirage_f1.png",
	Rate = 50,
	Shape = "mirage_f1",

	shape_table_data =
	{
		{
			file = 'mirage_f1';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'mirage_f1';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 15.36,
	height = 4.5,
	wing_area = 25,
	wing_span = 8.4,
	wing_tip_pos = { -3.96, 1.41, 4.81},
	RCS = 3.5,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 6.79, 0.57, 1.13},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 1,										-- default
	crew_size = 1,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 7400,
	M_nominal = 10900,
	M_max = 16200,
	M_fuel_max = 3000,
	H_max = 20117,										-- (calculated from service_ceiling)
	CAS_min = 67,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 516,
	V_take_off = 70,
	V_land = 70,
	V_max_sea_level = 362,
	V_max_h = 323,
	Vy_max = 243,
	Mach_max = 2.2,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 5.66, 2.26, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { 0, 1.7, 2.26},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = true,
	thrust_sum_max = 5002,
	thrust_sum_ab = 7217,
	engines_count = 1,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {5.66, 3.21, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {5.66, 2.26, 0},
		}, --end of[1]
		--[2] =
		--{
			--ejection_seat_name = 9,
			--drop_canopy_name = "aircraft_canopy_2",
			--canopy_pos = {5.66, 3.21, 0},
			--canopy_ejection_dir = {0.0, 0.5, 0.5},
			--pos = {5.66, 2.26, 0},
			--canopy_arg = 421,
		--}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-6.79, 1.47, 0},
			elevation = 1.47,
			diameter = 1.1,								-- default
			exhaust_length_ab = 8,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.25,
			afterburner_circles_count = 7,				-- default
			afterburner_circles_pos = { 0.2, 0.8 },		-- default
			afterburner_circles_scale = 0.95,			-- default
		}, -- end of [1]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------


	Guns = {
		DEFA_554_A({ muzzle_pos = {3.39, 0.57, 0.57},_connector =  "Point_Gun_02",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		DEFA_554_A({ muzzle_pos = {3.39, 0.57, -0.57},_connector =  "Point_Gun_03",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
	},


	Pylons = {
		pylon(1, 0, -1.83, 1.1, 3.43, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(2, 0, -0.57, 1.13, 2.06, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(3, 0, -0.57, 1.13, 1.84, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
				{ CLSID = "{FD21B13E-57F3-4C2A-9F78-C522D0B5BCE1}" }, --Super 530D 
			} 
		),
		pylon(4, 0, 0, 0.3, 0, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{FD21B13E-57F3-4C2A-9F78-C522D0B5BCE1}" }, --Super 530D 
			} 
		),
		pylon(5, 0, 1.13, 0.3, 0, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{FD21B13E-57F3-4C2A-9F78-C522D0B5BCE1}" }, --Super 530D 
			} 
		),
		pylon(6, 0, -0.57, 1.13, -1.84, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
				{ CLSID = "{FD21B13E-57F3-4C2A-9F78-C522D0B5BCE1}" }, --Super 530D 
			} 
		),
		pylon(7, 0, -0.57, 1.13, -2.06, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(8, 0, -1.83, 1.1, -3.43, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir = {0, 1, 0},
			pos = {-6.79, 1.47, 0.68},
		}, --end of[1]
		[2] =
		{
			dir = {0, 1, 0},
			pos = {-6.79, 1.47, -0.68},
		}, --end of[2]
	}, --end of chaff_flare_dispenser

	--Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 144,
		chaff = {default = 72, increment = 3, chargeSz = 1},
		flare = {default = 72, increment = 3, chargeSz = 1}
	},


---------------------------------------------------------------------------------------------------------------------------------------------
	--Sensors 
	Sensors = {
		RADAR = "AN/APG-63", --RADAR
		RWR = "Abstract RWR" --RWR
	},


	fires_pos =
	{
		[1] = { -1.6975, 1.41, 0.0},
		[2] = { -0.679, 1.41, 0.57},
		[3] = { -1.0185, 1.41, -0.57},
		[4] = { 1.13, 1.41, 1.2025},
		[5] = { 1.13, 1.41, -1.2025},
		[6] = { 1.13, 1.41, 3.848},
		[7] = { 1.13, 1.41, -3.848},
		[8] = { -6.79, 1.47, 0.57},
		[9] = { -6.79, 1.47, -0.57},
		[10] = { -3.395, 1.41, 0.57},
		[11] = { -3.395, 1.41, -0.57},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 1.5,					-- note: set to this value for mirage_f1 to improve in-flight handling
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.0473,	1.17,	0.388,	2.58,	13.5,	0.637,		},
				{0.1,	0.015,	0.0428,	1.17,	0.388,	7.01,	14.9,	0.637,		},
				{0.2,	0.015,	0.0509,	1.17,	0.388,	7.01,	16.5,	0.837,		},
				{0.3,	0.015,	0.0669,	1.17,	0.388,	7.01,	18.2,	1.15,		},
				{0.4,	0.015,	0.0829,	1.17,	0.388,	7.01,	20.1,	1.7,		},
				{0.5,	0.015,	0.08,	0.798,	0.286,	7.01,	20.1,	1.64,		},
				{0.6,	0.015,	0.0756,	0.615,	0.246,	7.01,	20.1,	1.55,		},
				{0.7,	0.015,	0.0708,	0.512,	0.234,	2.48,	20.1,	1.45,		},
				{0.8,	0.0213,	0.0658,	0.442,	0.234,	2.11,	20.1,	1.35,		},
				{0.9,	0.035,	0.03,	0.328,	0.174,	1.8,	20.1,	1,		},
				{1,		0.0448,	0.03,	0.307,	0.153,	1.53,	19.1,	0.951,		},
				{1.1,	0.0443,	0.03,	0.261,	0.131,	1.31,	18.2,	0.905,		},
				{1.2,	0.0439,	0.03,	0.223,	0.111,	1.11,	17.3,	0.861,		},
				{1.3,	0.0435,	0.0301,	0.19,	0.0949,	0.949,	16.5,	0.819,		},
				{1.4,	0.043,	0.0317,	0.162,	0.0808,	0.808,	15.7,	0.779,		},
				{1.5,	0.0426,	0.0333,	0.138,	0.0689,	0.689,	14.9,	0.741,		},
				{1.6,	0.0422,	0.035,	0.117,	0.0587,	0.587,	14.2,	0.705,		},
				{1.7,	0.0417,	0.0368,	0.1,	0.05,	0.5,	13.5,	0.67,		},
				{1.8,	0.0413,	0.0387,	0.0853,	0.0426,	0.426,	12.8,	0.638,		},
				{1.9,	0.0409,	0.0407,	0.0727,	0.0363,	0.363,	12.2,	0.607,		},
				{2,		0.0405,	0.0428,	0.0619,	0.031,	0.31,	11.6,	0.577,		},
				{2.1,	0.0401,	0.0449,	0.0528,	0.0264,	0.264,	11,	0.549,		},
				{2.2,	0.0397,	0.0473,	0.045,	0.0225,	0.225,	10.5,	0.522,		},
				{2.3,	0.0393,	0.0497,	0.0383,	0.0192,	0.192,	9.98,	0.497,		},
				{2.4,	0.0389,	0.0522,	0.0326,	0.0163,	0.163,	9.49,	0.472,		},
				{2.5,	0.0385,	0.0549,	0.0278,	0.0139,	0.139,	9.03,	0.449,		},
				{2.6,	0.0382,	0.0577,	0.0237,	0.0119,	0.119,	8.59,	0.427,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 0.85,
			ForsRUD  = 0.91,
			typeng  = 1,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	93770,	135023,		},
				{0.2,	140655,	202534,		},
				{0.4,	187540,	270046,		},
				{0.6,	187540,	270046,		},
				{0.8,	187540,	270046,		},
				{1,	187540,	270046,		},
				{1.2,	187540,	270046,		},
				{1.4,	187540,	270046,		},
				{1.6,	187540,	270046,		},
				{1.8,	187540,	270046,		},
				{2,	140655,	202534,		},
				{2.2,	93770,	135023,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 3.25,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				38 k ft		0.m		adj:+/-
				39 k ft		0.m		adj:+/-
				53 k ft		0.m		adj:+/-
				60 k ft		0.m		adj:+/-
				65 k ft		0.m		adj:+/-
				68 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11582, 12161, 16261, 18294, 19920, 20835 }, 
					thrust = {
						{ 169674, 254512, 339349, 339349, 339349, 339349, 339349, 339349, 339349, 339349, 254512, 169674 }, 
						{ 93811,  140717, 187623, 187623, 187623, 187623, 187623, 187623, 187623, 187623, 140717, 93811  }, 
						{ 43056,  64584,  86112,  86112,  86112,  86112,  86112,  86112,  86112,  86112,  64584,  43056  }, 
						{ 40162,  60244,  80325,  80325,  80325,  80325,  80325,  80325,  80325,  80325,  60244,  40162  }, 
						{ 20007,  30011,  40015,  40015,  40015,  40015,  40015,  40015,  40015,  40015,  30011,  20007  }, 
						{ 10003,  15005,  20007,  20007,  20007,  20007,  20007,  20007,  20007,  20007,  15005,  10003  }, 
						{ 2010,   3015,   4021,   4021,   4021,   4021,   4021,   4021,   4021,   4021,   3015,   2010   }, 
						{ 686,    1029,   1373,   1373,   1373,   1373,   1373,   1373,   1373,   1373,   1029,   686    }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11582, 12161, 16261, 18294, 19920, 20835 }, 
					thrust = {
						{ 244812, 367218, 489624, 489624, 489624, 489624, 489624, 489624, 489624, 489624, 367218, 244812 }, 
						{ 135354, 203031, 270708, 270708, 270708, 270708, 270708, 270708, 270708, 270708, 203031, 135354 }, 
						{ 62122,  93184,  124245, 124245, 124245, 124245, 124245, 124245, 124245, 124245, 93184,  62122  }, 
						{ 57948,  86922,  115896, 115896, 115896, 115896, 115896, 115896, 115896, 115896, 86922,  57948  }, 
						{ 28868,  43302,  57736,  57736,  57736,  57736,  57736,  57736,  57736,  57736,  43302,  28868  }, 
						{ 14434,  21651,  28868,  28868,  28868,  28868,  28868,  28868,  28868,  28868,  21651,  14434  }, 
						{ 2900,   4351,   5801,   5801,   5801,   5801,   5801,   5801,   5801,   5801,   4351,   2900   }, 
						{ 990,    1485,   1981,   1981,   1981,   1981,   1981,   1981,   1981,   1981,   1485,   990    }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "mirage_f1-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(mirage_f1)


