--
-- file prepared: 13 January 2024 12:00:14.394, using fd577h
--
--SFM_characteristics.lua (file 2 for assembly)

super_mystere = {

	Name = 'super_mystere',

	DisplayName = _('super_mystere'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "super_mystere.png",
	Rate = 50,
	Shape = "super_mystere",

	shape_table_data =
	{
		{
			file = 'super_mystere';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'super_mystere';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 14.13,
	height = 4.6,
	wing_area = 32.4,
	wing_span = 10.26,
	wing_tip_pos = { -5.25, 0.8, 5},
	RCS = 3.6,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 4, 1, 1},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 1,										-- default
	crew_size = 1,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 6930,
	M_nominal = 9000,
	M_max = 10000,
	M_fuel_max = 3200,
	H_max = 17069,										-- (calculated from service_ceiling)
	CAS_min = 56,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 262,
	V_take_off = 58,
	V_land = 58,
	V_max_sea_level = 166,
	V_max_h = 210,
	Vy_max = 89,
	Mach_max = 1.12,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 2.75, 0.1, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { -1.5, 0, 2},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = true,
	thrust_sum_max = 3404.3,
	thrust_sum_ab = 4493.6,
	engines_count = 1,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {2.75, 1.05, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {2.75, 0.1, 0},
		}, --end of[1]
		--[2] =
		--{
			--ejection_seat_name = 9,
			--drop_canopy_name = "aircraft_canopy_2",
			--canopy_pos = {2.75, 1.05, 0},
			--canopy_ejection_dir = {0.0, 0.5, 0.5},
			--pos = {2.75, 0.1, 0},
			--canopy_arg = 421,
		--}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-7.75, 1.32, 0},
			elevation = 1.32,
			diameter = 1.1,								-- default
			exhaust_length_ab = 8,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.12,
			afterburner_circles_count = 7,				-- default
			afterburner_circles_pos = { 0.2, 0.8 },		-- default
			afterburner_circles_scale = 0.95,			-- default
		}, -- end of [1]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------


	Guns = {
		DEFA_554_A({ muzzle_pos = {2.2, 0.7, 0.8},_connector =  "Point_Gun_02",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		DEFA_554_A({ muzzle_pos = {2.2, 0.7, -0.8},_connector =  "Point_Gun_03",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
	},


	Pylons = {
		pylon(1, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
			} 
		),
		pylon(2, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
			} 
		),
		pylon(3, 0, -1.5, 0.7, 2.4, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(4, 0, -1.5, 0.7, 2, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(5, 0, -1.5, 0.7, -2, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(6, 0, -1.5, 0.7, -2.4, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(7, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
			} 
		),
		pylon(8, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
			} 
		),
	},

---------------------------------------------------------------------------------------------------------------------------------------------

		 -- calibrate_countermeasures 

---------------------------------------------------------------------------------------------------------------------------------------------



	fires_pos =
	{
		[1] = { -1.9375, 0.8, 0.0},
		[2] = { -0.775, 0.8, 0.8},
		[3] = { -1.1625, 0.8, -0.8},
		[4] = { -1.5, 0.8, 1.25},
		[5] = { -1.5, 0.8, -1.25},
		[6] = { -1.5, 0.8, 4},
		[7] = { -1.5, 0.8, -4},
		[8] = { -7.75, 1.32, 0.8},
		[9] = { -7.75, 1.32, -0.8},
		[10] = { -3.875, 0.8, 0.8},
		[11] = { -3.875, 0.8, -0.8},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 0.8,					-- default
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.0533,	0.186,	0.0495,	2.3,	11.7,	0.625,		},
				{0.1,	0.015,	0.0482,	0.186,	0.0495,	6.25,	13,	0.625,		},
				{0.2,	0.015,	0.0576,	0.186,	0.0495,	6.25,	14.3,	0.825,		},
				{0.3,	0.015,	0.082,	0.186,	0.0495,	6.25,	15.8,	1.21,		},
				{0.4,	0.015,	0.106,	0.186,	0.0495,	6.25,	17.5,	1.9,		},
				{0.5,	0.015,	0.103,	0.124,	0.0357,	6.25,	17.5,	1.83,		},
				{0.6,	0.015,	0.0971,	0.0932,	0.0299,	6.25,	17.5,	1.73,		},
				{0.7,	0.015,	0.0909,	0.0749,	0.0274,	6.25,	17.5,	1.62,		},
				{0.8,	0.0213,	0.0845,	0.0571,	0.0242,	2.3,	17.5,	1.51,		},
				{0.9,	0.035,	0.0317,	0.0277,	0.0118,	2.01,	17.5,	1.11,		},
				{1,		0.0448,	0.0333,	0.352,	0.176,	1.76,	16.6,	1.05,		},
				{1.1,	0.0443,	0.035,	0.308,	0.154,	1.54,	15.8,	1,		},
				{1.2,	0.0439,	0.0368,	0.27,	0.135,	1.35,	15.1,	0.954,		},
				{1.3,	0.0435,	0.0387,	0.236,	0.118,	1.18,	14.3,	0.908,		},
				{1.4,	0.043,	0.0407,	0.207,	0.103,	1.03,	13.6,	0.863,		},
				{1.5,	0.0426,	0.0428,	0.181,	0.0904,	0.904,	13,	0.821,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 0.85,
			ForsRUD  = 0.91,
			typeng  = 1,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	27337,	36203,		},
				{0.2,	41005,	22868,		},
				{0.4,	54674,	72406,		},
				{0.6,	54674,	72406,		},
				{0.8,	54674,	72406,		},
				{1,	54674,	72406,		},
				{1.2,	54674,	72406,		},
				{1.4,	54674,	72406,		},
				{1.6,	54674,	72406,		},
				{1.8,	54674,	72406,		},
				{2,	41005,	54305,		},
				{2.2,	27337,	36203,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 2.0,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				38 k ft		0.m		adj:+/-
				39 k ft		0.m		adj:+/-
				46 k ft		0.m		adj:+/-
				51 k ft		0.m		adj:+/-
				56 k ft		0.m		adj:+/-
				59 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11582, 12161, 14045, 15800, 17205, 17995 }, 
					thrust = {
						{ 52065,  78097,  104130, 104130, 104130, 104130, 104130, 104130, 104130, 104130, 78097,  52065  }, 
						{ 27397,  41096,  54795,  54795,  54795,  54795,  54795,  54795,  54795,  54795,  41096,  27397  }, 
						{ 12775,  19163,  25551,  25551,  25551,  25551,  25551,  25551,  25551,  25551,  19163,  12775  }, 
						{ 11537,  17306,  23075,  23075,  23075,  23075,  23075,  23075,  23075,  23075,  17306,  11537  }, 
						{ 7509,   11264,  15018,  15018,  15018,  15018,  15018,  15018,  15018,  15018,  11264,  7509   }, 
						{ 5633,   8450,   11267,  11267,  11267,  11267,  11267,  11267,  11267,  11267,  8450,   5633   }, 
						{ 1491,   2237,   2983,   2983,   2983,   2983,   2983,   2983,   2983,   2983,   2237,   1491   }, 
						{ 166,    250,    333,    333,    333,    333,    333,    333,    333,    333,    250,    166    }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11582, 12161, 14045, 15800, 17205, 17995 }, 
					thrust = {
						{ 68725,  103088, 137451, 137451, 137451, 137451, 137451, 137451, 137451, 137451, 103088, 68725  }, 
						{ 36164,  54247,  72329,  72329,  72329,  72329,  72329,  72329,  72329,  72329,  54247,  36164  }, 
						{ 16864,  25296,  33728,  33728,  33728,  33728,  33728,  33728,  33728,  33728,  25296,  16864  }, 
						{ 15229,  22844,  30459,  30459,  30459,  30459,  30459,  30459,  30459,  30459,  22844,  15229  }, 
						{ 9912,   14868,  19824,  19824,  19824,  19824,  19824,  19824,  19824,  19824,  14868,  9912   }, 
						{ 7436,   11154,  14872,  14872,  14872,  14872,  14872,  14872,  14872,  14872,  11154,  7436   }, 
						{ 1969,   2953,   3938,   3938,   3938,   3938,   3938,   3938,   3938,   3938,   2953,   1969   }, 
						{ 220,    330,    440,    440,    440,    440,    440,    440,    440,    440,    330,    220    }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "super_mystere-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(super_mystere)


